#!/bin/bash

# Save test start time
START_TIME=$(date +%s)

# Execute all tests

echo 'Running Test 1'
../bin/ISTest1 2>&1 | tee test1.out

echo 'Running Test 2'
../bin/ISTest2 2>&1 | tee test2.out

echo 'Running Test 3'
../bin/ISTest3 2>&1 | tee test3.out

echo 'Running Test 4'
../bin/ISTest4 2>&1 | tee test4.out

echo 'Running Test 5'
../bin/ISTest5 2>&1 | tee test5.out

echo 'Running Test 6'
../bin/ISTest6 2>&1 | tee test6.out

echo 'Running Test 7'
../bin/ISTest7 2>&1 | tee test7.out

echo 'Running Test 8'
../bin/ISTest8 2>&1 | tee test8.out

echo 'Running Test 9'
../bin/ISTest9 2>&1 | tee test9.out

# Save test end time
END_TIME=$(date +%s)

DIFF_TIME=$(( $END_TIME - $START_TIME ))

echo "Tests execution time is $DIFF_TIME seconds." > exectime.txt

echo
echo
cat exectime.txt
echo
echo
